Bug 103065 - Window Loses Focus After Using Color Drop Downs with Enlightenment (E17)
Summary: Window Loses Focus After Using Color Drop Downs with Enlightenment (E17)
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.6.3 release
Hardware: All Linux (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Color-Picker-Widget Desktop-Environment
  Show dependency treegraph
 
Reported: 2016-10-09 17:51 UTC by Joel Madero
Modified: 2018-09-03 14:56 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joel Madero 2016-10-09 17:51:40 UTC
Bodhi Linux (Ubuntu 14.04 + E17 DE forked)

Confirmed in 4.4max bibisect and

Version: 5.3.0.0.alpha0+
Build ID: 28d3a6af0703c666d80e38c9c4b86024d830994d
CPU Threads: 2; OS Version: Linux 3.16; UI Render: default; 
Locale: en-US (en_US.UTF-8); Calc: group

Steps:
1. Open writer;
2. type "test";
3. Ctrl + a;
4. Push on highlight color button in toolbar (i.e., highlight yellow)
5. Type "testing" (should replace "test" as it's selected)
6. Ctrl + a;
7. Use highlight color dropdown and select "no fill"
8. Try to type again

Observed: Window has lost focus, cannot type or click anywhere in window until the window is minimized and then restored

Note: As far as I know this is only happening with Enlightenment/Moksha DE but it's a regression in LibreOffice (confirmed it works and does not work in 4.4max bibisect)
Comment 1 Joel Madero 2016-10-09 17:52:30 UTC
afc811e7c31a3ac6744bb4dd11eadaa36453a47c is the first bad commit
commit afc811e7c31a3ac6744bb4dd11eadaa36453a47c
Author: Matthew Francis <mjay.francis@gmail.com>
Date:   Sun Mar 15 05:11:30 2015 +0800

    source-hash-40f4284df5c4668a6f908b723d29a47411f5ff81
    
    commit 40f4284df5c4668a6f908b723d29a47411f5ff81
    Author:     Juergen Funk <juergen.funk_ml@cib.de>
    AuthorDate: Tue Nov 4 15:04:20 2014 +0100
    Commit:     Samuel Mehrbrodt <s.mehrbrodt@gmail.com>
    CommitDate: Thu Nov 6 09:47:35 2014 +0000
    
        fdo#84573 COLOR PICKER: Improve keyboard navigation
    
        Change-Id: Iae9d6b96114732950800c323013f7fbb531053f2
        Reviewed-on: https://gerrit.libreoffice.org/12253
        Reviewed-by: Samuel Mehrbrodt <s.mehrbrodt@gmail.com>
        Tested-by: Samuel Mehrbrodt <s.mehrbrodt@gmail.com>

:040000 040000 c71505d25696355ddd59b1faa7fa101eaab79fe3 e2b8a58fd116e37dc99e0cf4dceffc8905124b45 M	opt


# bad: [cf6ea17155fabb2a120ba07c150735591ac861d7] source-hash-3f94c9e9ddfd807b449f3bb9b232cf2041fa12d2
# good: [fc71ac001f16209654d15ef8c1c4018aa55769f5] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
git bisect start 'latest' 'oldest'
# good: [8cf60cc706948588e2f33a6d98b7c55d454e362a] source-hash-f340f0454627939f1830826fb5cc53a90e6c62a4
git bisect good 8cf60cc706948588e2f33a6d98b7c55d454e362a
# good: [7beddf3808dadd525d7e55c00a5a90a2b44c23d3] source-hash-2f10386ce577f52e139aa23d41bc787d8e0b4d59
git bisect good 7beddf3808dadd525d7e55c00a5a90a2b44c23d3
# good: [fb3ec529b3f37f0c7eab2e9b7a9cc695c0f27676] source-hash-0516d123f53917d1833c7e8a8c528a619c71a0af
git bisect good fb3ec529b3f37f0c7eab2e9b7a9cc695c0f27676
# bad: [47a64818ddfe63bbb8e6448fcc476f55996d61b1] source-hash-d12efada389643ab0e13a280246d14caed273029
git bisect bad 47a64818ddfe63bbb8e6448fcc476f55996d61b1
# bad: [5ce59f880a90cf8134a9d765c2b94bc4f6f5a865] source-hash-e377a65a1e6acf6241ce0bd2fc35a6a786cd8de9
git bisect bad 5ce59f880a90cf8134a9d765c2b94bc4f6f5a865
# good: [a568e53084f7d0a47b9e814b938f8deab225f7fc] source-hash-8cdcea2689600ef16829a3f951ddf6fb8e9125a0
git bisect good a568e53084f7d0a47b9e814b938f8deab225f7fc
# bad: [48a269940eacf3a07fa236692e30b7db176306a6] source-hash-bd15fb03dfc3a14b8f1f233080ec3084e0bf25be
git bisect bad 48a269940eacf3a07fa236692e30b7db176306a6
# bad: [782fa2352d88b1294562346cc80a9317c36e8edc] source-hash-31bfb20c81b0d293a5531c381885791540f477b0
git bisect bad 782fa2352d88b1294562346cc80a9317c36e8edc
# bad: [556e8692387629f7cbbe5aa76f43761e5cde3bf2] source-hash-1449f862606abb57fd7dffdf257ce3895b120a02
git bisect bad 556e8692387629f7cbbe5aa76f43761e5cde3bf2
# bad: [67dcb82820479c12af5fd771d1cbbdb06061a966] source-hash-a1a9f0e5c4f7d7331072854250a7eb9046e4f111
git bisect bad 67dcb82820479c12af5fd771d1cbbdb06061a966
# good: [fb9cfa0827b4dcff2b46f208494023136b06be08] source-hash-0ac22609b922eb40f297ebf7a555e745d5c29114
git bisect good fb9cfa0827b4dcff2b46f208494023136b06be08
# good: [b722555e775ec36425b759e680e35805548fafdc] source-hash-c838ce2f2fd7bfe168f610f5a6de426ba48aa68d
git bisect good b722555e775ec36425b759e680e35805548fafdc
# bad: [afc811e7c31a3ac6744bb4dd11eadaa36453a47c] source-hash-40f4284df5c4668a6f908b723d29a47411f5ff81
git bisect bad afc811e7c31a3ac6744bb4dd11eadaa36453a47c
# good: [3d10f1e171614d2bd4e3b5a84c179377f0475a7c] source-hash-4d687aec3c5ea0f18ab3f01f827cc544e677bae3
git bisect good 3d10f1e171614d2bd4e3b5a84c179377f0475a7c
# first bad commit: [afc811e7c31a3ac6744bb4dd11eadaa36453a47c] source-hash-40f4284df5c4668a6f908b723d29a47411f5ff81
Comment 2 Joel Madero 2016-10-09 17:57:55 UTC
Hi Samuel -

I think your commit caused this problem....I know it's super corner case but it's a regression none the less.
Comment 3 arnaud.malfoy 2016-10-14 09:48:57 UTC
I can't reproduce the bug on Libre Office 5.2.2.2 with Ubuntu 16.10
Comment 4 Joel Madero 2016-10-16 00:28:42 UTC
(In reply to arnaud.malfoy from comment #3)
> I can't reproduce the bug on Libre Office 5.2.2.2 with Ubuntu 16.10

It's only reproduced with Enlightenment (E17/18/19) or the fork of Moksha.
Comment 5 Buovjaga 2016-11-25 20:09:03 UTC
No such problem in Bodhi 4 (in a VM).

Version: 5.4.0.0.alpha0+
Build ID: 7c43cba9804e70b23b71783d362401c75f9caa54
CPU Threads: 4; OS Version: Linux 4.4; UI Render: default; VCL: gtk3; Layout Engine: new; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 6 Xisco Faulí 2017-12-06 11:42:41 UTC
Hi Joel,
This is quite an old bug.
Is it still reproducible?
Comment 7 Xisco Faulí 2018-01-24 09:54:30 UTC
(In reply to Xisco Faulí from comment #6)
> Hi Joel,
> This is quite an old bug.
> Is it still reproducible?

Setting to NEEDINFO
Comment 8 QA Administrators 2018-07-31 09:38:17 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2018-09-03 14:56:51 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-20180903